Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar.model
[Groovy] Class ModelToPropertiesConverter

    java.lang.Object
      org.gradle.api.plugins.sonar.model.ModelToPropertiesConverter

    @NotThreadSafe
    class ModelToPropertiesConverter

Converts a model object to a map of Sonar properties, guided by the information provided with `SonarProperty` and `IncludeProperties` annotations.

Property Summary
`List` | `propertyProcessors`

Constructor Summary
`ModelToPropertiesConverter(Object model)`

Method Summary
`Map` | `convert()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### propertyProcessors

    List propertyProcessors

Constructor Detail

### ModelToPropertiesConverter

    ModelToPropertiesConverter(Object model)

Method Detail

### convert

    Map convert()

Gradle API 1.1-rc-1